----------------------------------------------------------------------------------
-- Company:
-- Engineer:
--
-- Create Date: 06/04/2018 03:45:16 PM
-- Design Name:
-- Module Name: FilePassThorough_Sim - Behavioral
-- Project Name:
-- Target Devices:
-- Tool Versions:
-- Description:
--
-- Dependencies:
--
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
--
----------------------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx leaf cells in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity FilePassThorough_Sim is
--  Port ( );
end FilePassThorough_Sim;

architecture Behavioral of FilePassThorough_Sim is
  component FilePassThorough_wrapper
    port (
      clock_rtl : in STD_LOGIC;
      n_reset : in STD_LOGIC;
      reset : in STD_LOGIC
    );
  end component FilePassThorough_wrapper;

    signal clock_rtl   : STD_LOGIC := '0';
    signal reset   : STD_LOGIC := '1';
    signal n_reset : STD_LOGIC := '0';
begin

    FilePassThorough_i : FilePassThorough_wrapper
    port map (
      clock_rtl   => clock_rtl,
      reset   => reset,
      n_reset => n_reset
    );

    clock_rtl <= not clock_rtl after 10 ns;
    reset <= '0' after 200 ns;
    n_reset <= '1' after 400 ns;
end Behavioral;
