library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
use ieee.math_real.all;

package OptoUtils is
  function log2(i : integer) return integer;
  function conv_integer(i: std_logic_vector) return integer;
end package;

package body OptoUtils is
  function log2(i : integer) return integer is
  begin
    return integer(ceil(log2(real(i))));
  end function;

  function conv_integer(i : std_logic_vector) return integer is
  begin
    return to_integer(unsigned(i));
  end function;
end package body;
